Bug 112368 - [NEW PORT] net/wackamole: Peer-to-peer high availability cluster
Summary: [NEW PORT] net/wackamole: Peer-to-peer high availability cluster
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-05-02 21:00 UTC by Marcin Cieslak
Modified: 2007-06-04 09:00 UTC (History)
0 users

See Also:


Attachments
wackamole-2.1.3.shar (2.64 KB, text/plain)
2007-05-02 21:00 UTC, Marcin Cieslak
no flags Details
smime.p7s (3.10 KB, application/x-pkcs7-signature)
2007-06-01 23:07 UTC, Marcin Cieślak
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marcin Cieslak 2007-05-02 21:00:10 UTC
Wackamole is an application that helps with making a cluster highly
available. 

It manages a bunch of virtual IPs, that should be available
to the outside world at all times. Wackamole ensures that a single
machine within a cluster is listening on each virtual IP address
that Wackamole manages. If it discovers that particular machines
within the cluster are not alive, it will almost immediately ensure
that other machines acquire these public IPs. 
At no time will more than one machine listen on any virtual IP. 

Wackamole also works toward achieving a balanced distribution of
number IPs on the machine within the cluster it manages.

WWW:	http://www.backhand.org/wackamole/

Generated with FreeBSD Port Tools 0.63
Comment 1 Martin Wilke freebsd_committer 2007-05-02 22:00:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2007-06-01 08:24:34 UTC
State Changed
From-To: open->feedback

Ask for maintainer fix.
Comment 3 Marcin Cieślak 2007-06-01 23:07:25 UTC
Another shot, including fixed bison issue and fully-automated fetch
compliments of the original author, Theo Schlossnagle.

-- 
              << Marcin Cieslak // saper@saper.info >>


# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	wackamole
#	wackamole/pkg-descr
#	wackamole/Makefile
#	wackamole/pkg-plist
#	wackamole/distinfo
#
echo c - wackamole
mkdir -p wackamole > /dev/null 2>&1
echo x - wackamole/pkg-descr
sed 's/^X//' >wackamole/pkg-descr << 'END-of-wackamole/pkg-descr'
XWackamole is an application that helps with making a cluster highly
Xavailable.
X
XIt manages a bunch of virtual IPs, that should be available
Xto the outside world at all times. Wackamole ensures that a single
Xmachine within a cluster is listening on each virtual IP address
Xthat Wackamole manages. If it discovers that particular machines
Xwithin the cluster are not alive, it will almost immediately ensure
Xthat other machines acquire these public IPs.
XAt no time will more than one machine listen on any virtual IP.
X
XWackamole also works toward achieving a balanced distribution of
Xnumber IPs on the machine within the cluster it manages.
X
XWWW:	http://www.backhand.org/wackamole/
END-of-wackamole/pkg-descr
echo x - wackamole/Makefile
sed 's/^X//' >wackamole/Makefile << 'END-of-wackamole/Makefile'
X# New ports collection makefile for:	wackamole
X# Date created:		2007-05-02
X# Whom:			Marcin Cieslak <saper@system.pl>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	wackamole
XPORTVERSION=	2.1.3
XCATEGORIES=	net
XMASTER_SITES=	http://mirrors.omniti.com/wackamole/
X
XMAINTAINER=	saper@system.pl
XCOMMENT=	Peer-to-peer high availability cluster
X
XLIB_DEPENDS=	spread.1:${PORTSDIR}/net/spread
X
XGNU_CONFIGURE=	yes
X
XCONFIGURE_ENV+=	YACC=${YACC}
X
XMAN5=		wackamole.conf.5
XMAN8=		wackamole.8 wackatrl.8
X
X.include <bsd.port.mk>
END-of-wackamole/Makefile
echo x - wackamole/pkg-plist
sed 's/^X//' >wackamole/pkg-plist << 'END-of-wackamole/pkg-plist'
X@comment $FreeBSD$
Xetc/wackamole.conf.sample
Xsbin/wackamole
Xsbin/wackatrl
END-of-wackamole/pkg-plist
echo x - wackamole/distinfo
sed 's/^X//' >wackamole/distinfo << 'END-of-wackamole/distinfo'
XMD5 (wackamole-2.1.3.tar.gz) = 25a2f9a664d534aa6e6d355144298cf8
XSHA256 (wackamole-2.1.3.tar.gz) =
c4c80640bd26710121be687e16422783bacac8bfee168004ce9d165dce21ef87
XSIZE (wackamole-2.1.3.tar.gz) = 180948
END-of-wackamole/distinfo
exit
Comment 4 Martin Wilke freebsd_committer 2007-06-04 08:57:48 UTC
State Changed
From-To: feedback->closed

New port added. Thanks!
Comment 5 dfilter service freebsd_committer 2007-06-04 08:57:59 UTC
miwi        2007-06-04 07:57:52 UTC

  FreeBSD ports repository

  Modified files:
    net                  Makefile 
  Added files:
    net/wackamole        Makefile distinfo pkg-descr pkg-plist 
  Log:
  Wackamole is an application that helps with making a cluster highly
  available.
  
  It manages a bunch of virtual IPs, that should be available
  to the outside world at all times. Wackamole ensures that a single
  machine within a cluster is listening on each virtual IP address
  that Wackamole manages. If it discovers that particular machines
  within the cluster are not alive, it will almost immediately ensure
  that other machines acquire these public IPs.
  At no time will more than one machine listen on any virtual IP.
  
  Wackamole also works toward achieving a balanced distribution of
  number IPs on the machine within the cluster it manages.
  
  WWW:    http://www.backhand.org/wackamole/
  
  PR:             ports/112368
  Submitted by:   Marcin Cieslak <saper at system.pl>
  
  Revision  Changes    Path
  1.1875    +1 -0      ports/net/Makefile
  1.1       +25 -0     ports/net/wackamole/Makefile (new)
  1.1       +3 -0      ports/net/wackamole/distinfo (new)
  1.1       +15 -0     ports/net/wackamole/pkg-descr (new)
  1.1       +4 -0      ports/net/wackamole/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"